@media (max-width: 1200px) {
    .welcome__links {
        position: relative;
        right: 305px;
    }
    .welcome {
        background-position-x: -800px;
    }
    .card-wrapper {
        margin: 0px 130px 35px;
        padding: 20px 10px;
        overflow: hidden;
    }
    .welcome__heading {
        margin-right: 500px;
    }
}
@media (max-width: 992px) {
    .welcome {
        background-position-x: -1000px;
    }
    .welcome__links {
        position: relative;
        right: 305px;
    }
    .welcome__heading {
        margin-right: 450px;
    }
}
@media (max-width: 768px) {
    .container {
        max-width: 822px;
        padding: 0 15px;
        margin: 0 auto;
        line-height: 1.8;
    }
    .welcome {
        background-position-x: 1200px;
    }
    .welcome_theory {
        background-position-x: 950px;
    }
    .welcome__heading {
        margin-right: 200px;
    }
    .welcome__heading_theory {
        margin-right: 100px;
    }
    .welcome__links {
        position: relative;
        right: 180px;
    }
    .course {
        margin-bottom: 150px;
    }
    .cards-section_explore {
        display: flex;
        flex-wrap: wrap;
        margin: 50px;
        width: 81vw;
        justify-content: center;
        text-align: center;
        gap: 18px;
    }
    .card-explore {
        width: 37vw;
        height: 30vh;
        background-color: #fff;
        margin: 0 10px 0;
        border-radius: 25px 0 25px 0;
        border: 1px solid #DCEBF7;
    }
    .cards-section_vocabulary {
        display: flex;
        flex-wrap: wrap;
        margin: 50px;
        width: 72vw;
        justify-content: center;
        text-align: center;
        gap: 25px;
    }
    .card-tab {
        width: 35vw;
        height: 32vh;
        background-color: #fff;
        margin: 0 20px 0;
        border-radius: 25px 0 25px 0;
        border: 1px solid #DCEBF7;
    }
    .header__desktop {
        display: none; /* скрываем ПК шапку */
    }
    .header--mobile {
        display: block; /* показываем мобильную шапку */
    }

    /* MENUUUUUUUUUU */
    .menu-icon {
        display: block;
        font-size: 25px;
        cursor: pointer;
        color: #69b9ff;
        padding: 20px;
        position: fixed;
        top: 0;
        right: 0;
        z-index: 200;
        background: #fff;
    }
    
    .mobile-menu {
        display: block;
        position: fixed;
        left: 0;
        right: 0;
        bottom: 0;
        background: #fff;
        box-shadow: 0 -2px 20px rgba(0,0,0,0.08);
        transform: translateY(100%);
        transition: transform 0.3s ease;
        z-index: 150;
    }
    
    .mobile-menu ul {
        list-style: none;
        padding: 0;
        margin: 40px 0 0 0;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    .mobile-menu li {
        margin: 18px 0;
    }
    
    .mobile-menu a {
        font-size: 22px;
        color: #676770;
        text-decoration: none;
        transition: color 0.3s;
    }
    
    .mobile-menu a:hover {
        color: #0082F3;
    }
    
      /* Показываем меню, если чекбокс активен */
    .menu-toggle:checked ~ .mobile-menu {
        transform: translateY(0);
    }
    /* GRAMMAR  */

    .card-about {
        padding: 35px 15px 25px;
        width: 31vw;
        border-radius: 5px;
        border: 1px solid #DCEBF7;
    }
    .card-about h4 {
        margin-bottom: 15px;
        color: #676770;
        font-size: 17px;
        line-height: 1.5px;
        letter-spacing: 7px;
        text-transform: uppercase;
    }
    .card-about p {
        margin-bottom: 20px;
        font-size: 14px;
    }

    /* COURSES-CONTENT */

    .course-content {
        flex: 1;
        height: 22vh;
        width: 1;
        margin: 0px 20px 0px 20px;
    }

    .course__heading {
        margin-bottom: 0px;
        color: #676770;
        font-size: 20px;
    }

    .course__text {
        color: #333;
        font-size: 14px;
        margin-bottom: 0px;
    }
    .button-courses {
        display: inline-block;
        padding: 5px 25px;
        font-size: 14px;
        letter-spacing: 0.12em;
        text-transform: uppercase;
        border: 1px solid #000;
        border-radius: 4px;
        transition: border-color 0.1s, background-color 0.1s;
    }
    .subtitle {
        color: #8E8E9C;
        font-size: 15px;
        line-height: 1.18;
        letter-spacing: 3px;
        text-transform: uppercase;
    }
    .title {
        margin-bottom: 20px;
        color: #676770;
        font-size: 25px;
        line-height: 1.2;
        letter-spacing: 5px;
        text-transform: uppercase;
    }
    }

